Get Helm Chart Releases Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/helm/charts/releases/{repository_name}/{chart_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/helm/charts/releases/{repository_name}/{chart_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/helm/charts/releases/{repository_name}/{chart_name} \
--header 'Authorization: Bearer <token>'{
"has_next": true,
"page": 123,
"page_size": 123,
"result": [
{
"authors": [
"<string>"
],
"body": "<string>",
"chart_resource_id": "<string>",
"created_at": "<string>",
"html_url": "<string>",
"release_id": "<string>",
"repository_name": "<string>",
"repository_owner": "<string>",
"version": "<string>",
"prerelease": false
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Helm API
Get Helm Chart Releases Endpoint
GET
/
api
/
v1
/
org
/
helm
/
charts
/
releases
/
{repository_name}
/
{chart_name}
Get Helm Chart Releases Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/helm/charts/releases/{repository_name}/{chart_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/helm/charts/releases/{repository_name}/{chart_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/helm/charts/releases/{repository_name}/{chart_name} \
--header 'Authorization: Bearer <token>'{
"has_next": true,
"page": 123,
"page_size": 123,
"result": [
{
"authors": [
"<string>"
],
"body": "<string>",
"chart_resource_id": "<string>",
"created_at": "<string>",
"html_url": "<string>",
"release_id": "<string>",
"repository_name": "<string>",
"repository_owner": "<string>",
"version": "<string>",
"prerelease": false
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Maximum string length:
253Maximum string length:
253Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100